vldb_check(8)

NAME
vldb_check - Checks the integrity of the VLDB

SYNOPSIS
vldb_check << -database <vldb file >>> [-uheader] [-vheader]
    [-servers] [-entries] [-verbose] [-help]

vldb_check << -d <vldb file >>> [-u] [-vh] [-s] [-e]
    [-ve] [-h]

DESCRIPTION
The vldb_check command checks the integrity of the Volume Location Database (VLDB), reporting any errors or corruption it finds. If there are problems, do not issue any vos commands until the database is repaired.

CAUTIONS
The results can be unpredictable if the Volume Location (VL) Server makes changes to the VLDB while this command is running. Use the bos shutdown command to shutdown the local vlserver process before running this command, or before creating a second copy of the vldb.DB0 file (with a different name) on which to run the command.

OPTIONS

-database <vldb file>
    Names the VLDB (copy of the vldb.DB0 file) to check. If the current working directory is not the location of the file, provide a pathname, either full or relative to the current working directory.

-uheader
    Displays information which Ubik maintains in the database's header.

-pheader
    Displays information which the VL Server maintains in the database's header.

-servers <authentication servers>+
    Outputs the server entries from the VLDB, which list the IP addresses registered for each file server machine in the cell.

-entries
    Outputs every volume entry in the database. The information includes the volume's name and the volume ID number for each of its versions.

-verbose
    Reports additional information about the database, including the number of entries for each type of volume.

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
If there are errors in the database, the output always reports them on the standard error stream. If any options other than -database or -help are provided, the output written to the standard output stream includes additional information as described for each option in the OPTIONS manpage. The output is intended for debugging purposes and is meaningful to someone familiar with the internal structure of the VLDB.

PRIVILEGE REQUIRED
The issuer must be logged in as the local superuser root.

SEE ALSO
the vldb.DB0(5) manpage, the bos_shutdown(8) manpage, the vlserver(8) manpage

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.